﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using System.Text;

namespace PagingWithRadioButtons.ViewModels
{
	class IssuePagingViewModel: INotifyPropertyChanged
	{
		public ObservableCollection<IssueViewModel> Items { get; set; }

		public IssuePagingViewModel()
		{
			Items = new ObservableCollection<IssueViewModel>();
			GenerateSource();
		}

		private void GenerateSource()
		{
			Items.Add(new IssueViewModel
			{
				Info = "Issue 1",
				States = new ObservableCollection<IssueState>
				{
					new IssueState{IsChecked = true, Name = "None"},
					new IssueState{IsChecked = false, Name = "Backlog"},
					new IssueState{IsChecked = false, Name = "In progress"},
					new IssueState{IsChecked = false, Name = "Done"}
				}
			});
			Items.Add(new IssueViewModel
			{
				Info = "Issue 2",
				States = new ObservableCollection<IssueState>
				{
					new IssueState{IsChecked = true, Name = "None"},
					new IssueState{IsChecked = false, Name = "Backlog"},
					new IssueState{IsChecked = false, Name = "In progress"},
					new IssueState{IsChecked = false, Name = "Done"}
				}
			});
			Items.Add(new IssueViewModel
			{
				Info = "Issue 3",
				States = new ObservableCollection<IssueState>
				{
					new IssueState{IsChecked = true, Name = "None"},
					new IssueState{IsChecked = false, Name = "Backlog"},
					new IssueState{IsChecked = false, Name = "In progress"},
					new IssueState{IsChecked = false, Name = "Done"}
				}
			});
			Items.Add(new IssueViewModel
			{
				Info = "Issue 4",
				States = new ObservableCollection<IssueState>
				{
					new IssueState{IsChecked = true, Name = "None"},
					new IssueState{IsChecked = false, Name = "Backlog"},
					new IssueState{IsChecked = false, Name = "In progress"},
					new IssueState{IsChecked = false, Name = "Done"}
				}
			});
		}

		#region INotify
		public event PropertyChangedEventHandler PropertyChanged;

		protected virtual void OnPropertyChanged([CallerMemberName] string propertyName = null)
		{
			PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
		}
		#endregion
	}
}
