﻿using System.ComponentModel;
using System.Runtime.CompilerServices;
using Syncfusion.XForms.Buttons;

namespace PagingWithRadioButtons.ViewModels
{
	public class IssueState: INotifyPropertyChanged
	{
		public string Name { get; set; }

        public SfRadioGroupKey GroupKey { get; set; }

        private bool _isChecked;
		public bool IsChecked
		{
			get => _isChecked;
			set
			{
				if (_isChecked == value)
					return;

				_isChecked = value;
				OnPropertyChanged();
			}
		}


		#region INotify
		public event PropertyChangedEventHandler PropertyChanged;

		protected virtual void OnPropertyChanged([CallerMemberName] string propertyName = null)
		{
			PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
		}
		#endregion

	}
}