﻿using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using Syncfusion.XForms.Buttons;

namespace PagingWithRadioButtons.ViewModels
{
	public class IssueViewModel: INotifyPropertyChanged
	{
		public string Info { get; set; }

        public SfRadioGroupKey GroupKey { get; set; }

        private ObservableCollection<IssueState> _states;
		public ObservableCollection<IssueState> States
		{
			get
            {
                GroupKey = new SfRadioGroupKey();

                if(_states != null)
                {
                    foreach (var item in _states)
                    {
                        item.GroupKey = GroupKey;
                    }
                }

                return _states;
            }
			set
			{
				if (_states == value)
					return;

				_states = value;
				OnPropertyChanged();
			}
		}

		#region INotify
		public event PropertyChangedEventHandler PropertyChanged;

		protected virtual void OnPropertyChanged([CallerMemberName] string propertyName = null)
		{
			PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
		}
		#endregion
	}
	
}